--- title: "Update the DoS Learning Mode on the Sensor" slug: "update-the-dos-learning-mode-on-the-sensor-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:21Z published: 2026-11-19T12:57:21Z canonical: "docs.trellix.com/update-the-dos-learning-mode-on-the-sensor-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Update the DoS Learning Mode on the Sensor This URL updates the DoS learning mode on the Sensor. ### Resource URL PUT /sensor// dosprofilelearningmode ### Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `sensorId` | Sensor id | Number | Yes | Payload Request Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `DosProfilesLearning` | Learning mode | Object | Yes | Details of DosProfilesLearning: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `dosProfileLearning` | Mode of learning. Can be one of the following: - LEARNING_MODE - DETECTION_MODE | String | Yes | ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `status` | Set to 1 if the operation was successful | Number | ### Example **Request** PUT [https:///sdkapi/sensor/1002/dosprofilelearningmode](https://<NSM_IP>/sdkapi/sensor/1002/dosprofilelearningmode%20) **Payload** ``` {  "dosProfileLearning" : "LEARNING_MODE" } ``` **Response** ``` { "status": 1 } ``` ### Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1106 | Invalid Sensor | | 2 | 400 | 1124 | The Sensor is inactive |